%define desktop_file 1
%define po_file 0
%define desktop_file_utils_version 0.2.90

Name: gtoaster
Summary: A versatile CD recording package for both sound and data
Version: 1.0beta6
Release: 4
License: GPL
Group: Applications/Archiving

Source0: http://gnometoaster.rulez.org/archive/%{name}1.0Beta6.tgz
Source1: gtoaster.desktop
Source2: gtoaster.console
Source3: gtoaster.pam
Source4: gtoaster.png
Source5: http://gnometoaster.rulez.org/archive/oggtst.tgz

Url: http://gnometoaster.rulez.org
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-buildroot

Requires: cdrecord
Requires: cdrdao
Requires: mkisofs
Requires: cdda2wav
Requires: sox
Requires: usermode

%if %{desktop_file}
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif
BuildPrereq: audiofile-devel
BuildPrereq: gtk+-devel
BuildPrereq: ORBit-devel
BuildPrereq: libogg-devel

ExcludeArch: s390

%description
Gnome Toaster is a versatile CD creation suite. It is designed to be
as user-friendly as possible, allowing you to create CD-ROMs with just
a few simple mouse clicks. Audio and data CDs are both possible.
Gnome Toaster is also well integrated with the GNOME and KDE
filemanagers.

%prep
%setup -q -n %{name} -a 5

%build
%configure
make

pushd oggtst
rm -f COPYING INSTALL install-sh missing mkinstalldirs
libtoolize --force
aclocal
automake -a
autoconf
%configure
make
popd

%install
rm -rf %{buildroot}

%makeinstall

pushd oggtst
%makeinstall
popd

mv %{buildroot}%{_bindir}/gtoaster %{buildroot}%{_bindir}/gtoaster-root
(cd %{buildroot}%{_bindir} && ln -s consolehelper gtoaster)

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/gnome-gtoaster.desktop
%else
mkdir -p %{buildroot}/etc/X11/applnk/Multimedia
install -m 644 %{SOURCE1} %{buildroot}/etc/X11/applnk/Multimedia
%endif

mkdir -p %{buildroot}/etc/security/console.apps
install -m 644 %{SOURCE2} %{buildroot}/etc/security/console.apps/gtoaster
mkdir -p %{buildroot}/etc/pam.d
install -m 644 %{SOURCE3} %{buildroot}/etc/pam.d/gtoaster
mkdir -p %{buildroot}/usr/share/pixmaps
install -m 644 %{SOURCE4} %{buildroot}/usr/share/pixmaps

%if %{po_file}
%find_lang %{name}
%else
rm -rf %{buildroot}%{_datadir}/locale
%endif

%clean
rm -rf %{buildroot}

%if %{po_file}
%files -f %{name}.lang
%else
%files
%endif
%defattr (-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog* INSTALL NEWS README TODO
%if %{desktop_file}
%{_datadir}/applications/*
%else
%config /etc/X11/applnk/Multimedia/gtoaster.desktop
%endif
%config(noreplace) /etc/pam.d/gtoaster
%config(noreplace) /etc/security/console.apps/gtoaster
%{_datadir}/pixmaps/*
%{_bindir}/*

%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Nov 19 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- re-enable on s390x, as it has SCSI

* Wed Nov 13 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0beta6-2
- Remove absolute directory paths from the PAM configuration, allowing the same
  configuration file to be used for either arch on a multilib system

* Mon Sep 23 2002 Than Ngo <than@redhat.com> 1.0beta6-1
- Fixed dependency issue
- Add missing oggtst, which is used for creating ogg
  vorbis music CDs (bug #71277, #73788)
- 1.0beta6 fixed be window creation order on first startup (bug #72727)
- popup menu issue (bug #63877)

* Wed Aug 21 2002 Tim Powers <timp@redhat.com>
- remove dep on mpg321

* Tue Aug  6 2002 Than Ngo <than@redhat.com> 1.0beta5-8
- don't include broken po files (bug #70275)

* Wed Jul 31 2002 Than Ngo <than@redhat.com> 1.0beta5-7
- catagories issue (bug #70276)

* Fri Jul 26 2002 Than Ngo <than@redhat.com> 1.0beta5-6
- Use pam_timestamp.so (bug #69859).

* Wed Jul 24 2002 Than Ngo <than@redhat.com> 1.0beta5-5
- desktop file issue

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 1.0beta5-2
- rebuild

* Tue Feb 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0beta5-1
- beta 5

* Mon Jan 21 2002 Than Ngo <than@redhat.com> 1.0beta3-1
- update to 1.0beta3

* Tue Oct 30 2001 Than Ngo <than@redhat.com> gtoaster-1.0beta2-4
- fixed symlink bug (bug #55155)
- Copyrigt -> License
- add requires usermode

* Sat Jul 21 2001 Tim Powers <timp@redhat.com>
- require mpg321 not mpd123 now

* Fri Jul 20 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- do not build for s390,s390x

* Mon Jul 02 2001 Than Ngo <than@redhat.com>
- update to 1.0 beta 2

* Wed Jun 06 2001 Than Ngo <than@redhat.com>
- update to 1.0 beta 1
- add german translation in destop file
- remove unneeded patch file

* Tue Apr  3 2001 Preston Brown <pbrown@redhat.com>
- Red Hat style .spec.
- use mkstemp not tempnam.

* Wed Sep 27 2000 Eric Sandeen <eric_sandeen@bigfoot.com>
- gtoaster2000092620

* Wed Aug 30 2000 Georges Seguin okki@wanadoo.fr 
- gtoaster 0.4.2000082921

* Sun Aug 13 2000 Georges Seguin okki@wanadoo.fr 
- gtoaster 0.4.2000081318
- RPM specification file has been improved

* Thu May 26 2000 Georges Seguin crow@planete.net 
- First RPM

